#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    int n, o, a, b, ab;
    cin >> n >> o >> a >> b >> ab;
    string x[2*n];
    for(int i=0; i<n; ++i)
        cin >> x[2*i+0] >> x[2*i+1];
    cout << "nemoguce";
    return 0;
}